import { Component, OnInit } from '@angular/core';
import {FormBuilder, Validators} from '@angular/forms';
import {BsModalRef} from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../frame/core/detail/frame.detail';
import { AjaxService } from '../../../../core/service/ajax.service';
import { FuncService } from '../../../../core/service/func.service';
import { MsgService } from '../../../../core/service/msg.service';

@Component({
  selector: 'app-review-log-detail',
  templateUrl: './review-log-detail.component.html',
  styleUrls: ['./review-log-detail.component.scss']
})
export class ReviewLogDetailComponent extends FrameDetailComponent implements OnInit {

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
  }

  ngOnInit() {
    debugger;
    console.log(this.ResponseEntity.school_id)
    console.log(this.ResponseEntity.batch_id)
    console.log(this.ResponseEntity.std_id)
  }

  initDefautEntity() {
    if (this.detailMode === 'add') {

    } else if (this.detailMode === 'edit') {

    }
  }



}
